# $Revision: 1.6 $, $Date: 2004/05/06 18:43:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	MIME
%define	pnam	Fast
Summary:	MIME::Fast - parsing MIME messages (wrapper for C gmime library)
Summary(pl):	MIME::Fast - przetwarzanie wiadomoci MIME (interfejs do biblioteki gmime)
Name:		perl-MIME-Fast
Version:	1.4
Release:	1
# same as perl or GPL v2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ae477eeeb5d6c198d221ae9205a3be22
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# Can't test with earlier versions of gmime-2
BuildRequires:	gmime-devel >= 2.1.0
%if %{with tests}
BuildRequires:	perl(Test::More)
# We don't have this
#BuildRequires:	perl-PerlIO-gzip
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Fast is a perl module for creating, editing and parsing MIME
messages.  This module is based on the very good C library called
gmime (currently in development). MIME::Fast outght to be faster and
should use less memory and CPU resources than standard MIME (perl
module), because MIME::Fast is the wrapper for C functions (calling
C function is much, much less expensive than calling perl function).

%description -l pl
MIME::Fast to modu Perla do tworzenia, edycji i analizy wiadomoci
MIME. Ten modu jest oparty na bardzo dobrej bibliotece C o nazwie
gmime (aktualnie rozwijanej). MIME::Fast powinien by szybszy i uywa
mniej pamici oraz zasobw procesora ni standardowy modu Perla MIME,
poniewa jest interfejsem do funkcji w C (wywoanie funkcji C jest
duo, duo mniej kosztowne ni wywoanie funkcji perlowej).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/MIME/Fast.pm
%dir %{perl_vendorarch}/auto/MIME/Fast
%attr(755,root,root) %{perl_vendorarch}/auto/MIME/Fast/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-Fast.spec,v $
Revision 1.6  2004/05/06 18:43:14  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.4  2004/04/14 21:13:58  ankry
- cosmetics, license fixed

Revision 1.3  2003/10/21 18:19:52  qboosh
- pl

Revision 1.2  2003/10/21 12:43:38  migo
- md5

Revision 1.1  2003/10/21 11:17:34  migo
- initial revision
